"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
class ErrorHelper {
}
ErrorHelper.getErrorFromResponse = (error) => {
    let data = '';
    if (error && error.response && error.response.data && error.response.data.errors) {
        for (const key in error.response.data.errors) {
            data = `${key}: ${error.response.data.errors[key]};`;
        }
    }
    else {
        data = error.response;
    }
    return data;
};
exports.default = ErrorHelper;
//# sourceMappingURL=ErrorHelper.js.map