import { AxiosInstance } from 'axios';
export declare class ShopifyPageService {
    private axiosInstance;
    constructor(axiosInstance: AxiosInstance);
    post: (title: string, bodyHtml: string, suffix: string) => Promise<IPage>;
    put: (bodyHtml: string, pageId: number) => Promise<IPage>;
    /**
     * Creates metafields for a page and return the created metafields.
     *
     * @param  {number} id
     * @param  {IMetafield} metafield
     * @returns Promise
     */
    postMetafields: (id: number, metafields: IMetafield[]) => Promise<IMetafield[]>;
}
