/// <reference types="node" />
export declare class CryptoService {
    generateHash(message: string | Buffer, secret: string): Buffer;
    generateHashBase64(message: string | Buffer, secret: string): string;
    checkHash(generatedHash: Buffer, hmacToCheck: string): boolean;
}
