"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const request = require("request-promise");
class OauthService {
    static getOathToken(shop, apiKey, sercret, code, successCallback, failureCalback) {
        const accessTokenPayload = { client_id: apiKey, client_secret: sercret, code };
        request.post(`https://${shop}/admin/oauth/access_token`, { json: accessTokenPayload })
            .then((accessTokenResponse) => {
            const accessToken = accessTokenResponse.access_token;
            successCallback(accessToken);
        }).catch((error) => {
            failureCalback(error.statusCode, error.error.error_description);
        });
    }
}
exports.OauthService = OauthService;
//# sourceMappingURL=OauthService.js.map