"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
class RestUtils {
}
RestUtils.getShopFromRequestHeaders = (req) => {
    if (!req || !req.headers)
        throw new Error('It is not a http request object');
    const shop = req.headers['x-shopify-shop-domain'];
    if (!shop)
        throw new Error('There is not shop in request header!');
    else
        return shop;
};
exports.default = RestUtils;
//# sourceMappingURL=RestUtils.js.map