"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const RestUtils_1 = require("../../../shopify/router/services/RestUtils");
test('getShopFromRequestHeaders throws error when not shop exist in header', () => {
    expect(RestUtils_1.default.getShopFromRequestHeaders.bind({ headers: { 'http-random-header': 'some randomness' } })).toThrow(Error);
});
test('getShopFromRequestHeaders throws error when shop is empty in header', () => {
    expect(RestUtils_1.default.getShopFromRequestHeaders.bind({ headers: { 'x-shopify-shop-domain': '' } })).toThrow(Error);
});
test('getShopFromRequestHeaders returns shop existing in header', () => {
    expect(RestUtils_1.default.getShopFromRequestHeaders({ headers: { 'x-shopify-shop-domain': 'myshop.myshopify.com' } })).toBe('myshop.myshopify.com');
});
//# sourceMappingURL=RestUtils.test.js.map