import { AxiosInstance } from 'axios';
export declare class ShopifyDraftOrderService {
    private axiosInstance;
    constructor(axiosInstance: AxiosInstance);
    create: (order: IOrderToCreate) => Promise<IOrder>;
    createAndSendInvoice: (order: IOrderToCreate) => Promise<IOrder>;
    /**
     * Updates Shipping Address in a draft order.
     *
     * @param  {number} orderId
     * @param  {IAddress} shippingAddress
     * @returns Promise
     */
    updateShippingAddress: (orderId: number, shippingAddress: IAddress) => Promise<IOrder>;
}
