import { AxiosInstance } from 'axios';
export declare class ShopifyVariantService {
    private axiosInstance;
    constructor(axiosInstance: AxiosInstance);
    create: (variant: IVariant, productId: number) => Promise<IVariant>;
    update: (variant: IVariant, id: number) => Promise<IVariant>;
    getCount: (productId: number) => Promise<number>;
    getById: (id: number) => Promise<IVariant>;
    delete: (id: number, productId: number) => Promise<void>;
}
