import { AxiosInstance } from 'axios';
export declare class ShopifyWebhookService {
    private axiosInstance;
    constructor(axiosInstance: AxiosInstance);
    create: (webhook: IWeebHook) => Promise<IWeebHook>;
    deleteAll: () => Promise<void>;
    delete: (id: number) => Promise<void>;
    deleteByTopic: (topic: webhookTopic) => Promise<void>;
    getAll: () => Promise<IWeebHook[]>;
    /**
     * Rebuilds all webhooks with the current API Version. @link APIVersion
     *
     * @returns Promise
     */
    updateWebhooksAPI: () => Promise<void>;
}
